%define apiver      2.0
%define major       0
%define libname     %mklibname sdl %{apiver} %{major}
%define develname   %mklibname sdl %{apiver} -d
%define develsname  %mklibname sdl %{apiver} -d -s

Name:           sdl2
Summary:        Simple DirectMedia Layer 2
Version:        2.30.2
Release:        %mkrel 1
License:        Zlib
Group:          System/Libraries
URL:            https://libsdl.org/
Source0:        https://libsdl.org/release/SDL2-%{version}.tar.xz

BuildRequires:  libnas-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libpulse-simple)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(xkbcommon)

%description
This is the Simple DirectMedia Layer 2, a generic API that provides low
level access to audio, keyboard, mouse, and display framebuffer across
multiple platforms.

SDL fully supports high end 3D graphics using Direct3D and OpenGL,
and has a 2D graphics API for emulators and classic games.

%package -n     %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n     %{develname}
Summary:        Headers for developing programs that use %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       SDL2-devel = %{version}-%{release}
Requires:       alsa-lib-devel
Requires:       pkgconfig(gl)
Requires:       pkgconfig(glu)
Requires:       pkgconfig(egl)

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n     %{develsname}
Summary:        Static library for developing static programs that use %{name}
Group:          Development/Libraries
Provides:       %{name}-static-devel = %{version}-%{release}
Provides:       SDL2-static-devel = %{version}-%{release}

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%prep
%setup -qn SDL2-%{version}

%build
%configure2_5x \
	--enable-sdl-dlopen \
	--enable-alsa-shared \
	--enable-esd-shared \
	--enable-pulseaudio-shared \
	--enable-arts-shared \
	--enable-nas-shared \
	--enable-sndio-shared \
	--enable-x11-shared \
	--enable-directfb-shared \
	--enable-fusionsound-shared \
	--enable-video-wayland \
	--disable-rpath

%make_build

%install
rm -rf %buildroot
%make_install

rm -f %buildroot/%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/libSDL2-%{apiver}.so.%{major}
%{_libdir}/libSDL2-%{apiver}.so.%{major}.*

%files -n %{develname}
%{_bindir}/*-config
%{_datadir}/aclocal/%{name}.m4
%{_includedir}/SDL2/
%{_libdir}/cmake/SDL2/
%{_libdir}/libSDL2.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{develsname}
%{_libdir}/libSDL2.a
%{_libdir}/libSDL2main.a
%{_libdir}/libSDL2_test.a


%changelog
* Wed Apr 03 2024 tex - 2.30.2-1pclos2024
- new version

* Fri Nov 03 2023 tex - 2.28.5-1pclos2023
- new version
